## cython 0.29.10

=== debian/changelog ===
cython (0.29.10-0ubuntu2) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Oct 2019 18:32:41 +0000

cython (0.29.10-0ubuntu1) eoan; urgency=medium

  * New upstream version, supporting Python 3.8.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Jun 2019 13:20:19 +0200
