## cython 0.29.13

=== debian/changelog ===
cython (0.29.13-0ubuntu1) focal; urgency=medium

  * New upstream version.
  * Don't run the tests for 3.8, NumPy isn't yet built.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Oct 2019 17:19:29 +0200
