=== debian/changelog ===
cython (0.29.14-0.1ubuntu3) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:43:20 +0100

cython (0.29.14-0.1ubuntu2) focal; urgency=medium

  * Build using pybuild.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jan 2020 17:43:03 +0100

cython (0.29.14-0.1ubuntu1) focal; urgency=medium

  * Drop python-numpy build-dependencies on i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 12 Jan 2020 13:47:22 -0800

cython (0.29.14-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, more Python 3.8 fixes. Closes: #942696.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Nov 2019 13:16:50 +0100

cython (0.29.13-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version, supporting Python 3.8. Closes: #942696.
  * Run the tests for every python version, but ignore failures for
    a first build.

 -- Matthias Klose <doko@debian.org>  Thu, 24 Oct 2019 21:58:37 +0200
