## cython 0.29.21

=== debian/changelog ===
cython (0.29.21-1ubuntu2) hirsute; urgency=medium

  * Drop nump b-d for a first build with 3.9.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 18:56:26 +0200

cython (0.29.21-1ubuntu1) groovy; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 04 Aug 2020 16:03:09 +0200

cython (0.29.21-1) unstable; urgency=medium

  * New upstream release; Closes: #963084

 -- Sandro Tosi <morph@debian.org>  Tue, 21 Jul 2020 23:17:28 -0400

cython (0.29.14-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936363, #942939, #906699
  * Switch to pybuild

 -- Sandro Tosi <morph@debian.org>  Wed, 24 Jun 2020 23:54:03 -0400

cython (0.29.14-1) unstable; urgency=medium

  * Team upload.
  * Manual rebuild for python3.7 removal.
  * debian/control: Bump Standards-Version to 4.5.0.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Apr 2020 17:11:55 -0400
