=== debian/rules ===
--- 
+++ 
@@ -8,8 +8,7 @@
 WIKI_URL=http://wiki.cython.org
 
 # Python versions
-PYDEF=$(shell pyversions -dv)
-PY2VERS=$(shell pyversions -vr)
+PY3DEF=$(shell py3versions -dv)
 PY3VERS=$(shell py3versions -vr)
 
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
@@ -22,7 +21,7 @@
 export MPLCONFIGDIR=$(CURDIR)/build
 
 %:
-	dh $@ --with python2,python3 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -52,7 +51,7 @@
 
 build/cython.1:
 	: # Generate a manpage using help2man
-	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PYDEF)` \
+	PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$(PY3DEF)` \
 	  help2man --no-info --no-discard-stderr \
 		-n "compile Cython code (.pyx) into C to build a Python extension" \
 		bin/cython >| build/cython.1
@@ -66,23 +65,15 @@
 	dh_install
 
 	: # fix shebang
-	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python,' debian/cython/usr/bin/*
 	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*
 
 	: # remove files installed from cython.install that belong in -dbg
-	find $(CURDIR)/debian/cython/ -name "*_d.so" -delete
 	find $(CURDIR)/debian/cython3/ -name "*.cpython-3?d*.so" -delete
 
 	: # share -dbg and normal package doc dirs
-	rm -rf debian/cython-dbg/usr/share/doc/cython-dbg
-	dh_link -pcython-dbg usr/share/doc/cython usr/share/doc/cython-dbg
 	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
 	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg
 	# add debian version to watermark of generated files
-	set -e; for v in $(PY2VERS); do \
-	  sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
-	  debian/cython/usr/lib/python$$v/dist-packages/Cython/Compiler/Version.py; \
-	done
 	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
 	  debian/cython3/usr/lib/python3/dist-packages/Cython/Compiler/Version.py
 
@@ -100,7 +91,6 @@
 	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
 endif
 endif
-	dh_installdocs --package=cython --package=cython-dbg --link-doc=cython debian/upstream
 	dh_installdocs --package=cython3 --package=cython3-dbg --link-doc=cython3 debian/upstream
 	dh_installdocs --package=cython-doc debian/upstream
 
@@ -111,7 +101,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	set -e; for P in $(PY2VERS) $(PY3VERS); do \
+	-set -e; for P in $(PY3VERS); do \
 	 echo =============== $$P start ===============; \
 	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
@@ -126,15 +116,11 @@
 	done
 endif
 
-override_dh_python2:
-	dh_python2 -pcython
-
 override_dh_python3:
 	dh_python3 -pcython3
 
 
 override_dh_strip:
-	dh_strip -pcython --dbg-package=cython-dbg
 	dh_strip -pcython3 --dbg-package=cython3-dbg
 
 override_dh_auto_clean:
