=== debian/tests/control ===
Tests: import3
Depends: cython3, cython3-dbg, python3-all, python3-all-dbg
