## cython 0.29.24

=== debian/changelog ===
cython (0.29.24-2ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Dec 2021 15:12:42 +0000

cython (0.29.24-2) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Non-maintainer upload.
  * Reduce Build-Depends: (Closes: #981502)
    + Demote python3-sphinx to Build-Depends-Indep.
    + Annotate gdb dependency <!nocheck>.

 -- Laurent Bigonville <bigon@debian.org>  Mon, 27 Dec 2021 18:47:04 +0100

cython (0.29.24-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946
  * debian/patches/23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch
    - include upstream change to fix doc build
  * debian/patches/deb_nopngmath
    - drop patch, no longer needed

 -- Sandro Tosi <morph@debian.org>  Wed, 20 Oct 2021 22:41:55 -0400

cython (0.29.24-0ubuntu3) jammy; urgency=medium

  * Fix compatibility with Sphinx 4.2.0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 20 Oct 2021 08:00:23 +0000

cython (0.29.24-0ubuntu2) jammy; urgency=medium

  * Replace remaining changes after merge:
    + Drop python-numpy build-dependencies on i386
    + Drop numpy b-d for a first build with 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Oct 2021 11:55:50 +0000

cython (0.29.24-0ubuntu1) jammy; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + cython3-dbg: Add Multi-Arch: same.

  [ Sandro Tosi ]
  * New upstream release; Closes: #991946

  [ Graham Inggs ]
  * Refresh debian/patches/deb_nopngmath

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 19 Oct 2021 07:31:26 +0000

cython (0.29.21-3) unstable; urgency=medium

  * Team upload
  * Reinstate build dependency on python3-numpy and enable tests

 -- Graham Inggs <ginggs@debian.org>  Sun, 18 Oct 2020 14:30:27 +0000

cython (0.29.21-2) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Graham Inggs ]
  * Drop build dependency on python3-numpy for a first python3.9 build
    and don't run the tests for this build

 -- Graham Inggs <ginggs@debian.org>  Wed, 14 Oct 2020 09:52:40 +0000

cython (0.29.21-1ubuntu4) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:13 +0000

cython (0.29.21-1ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:19:50 +0100
