=== debian/control ===
--- 
+++ 
@@ -2,21 +2,21 @@
 Section: python
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
                dpkg-dev (>= 1.16.1~),
                help2man (>= 1.37.1~),
-               python3-sphinx,
                python3-all-dev,
                python3-all-dbg,
-#               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
-               gdb,
+               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
+               gdb <!nocheck>,
+Build-Depends-Indep: python3-sphinx,
 Standards-Version: 4.5.0
 Homepage: http://cython.org/
-Vcs-Git: https://salsa.debian.org/python-team/applications/cython.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/cython
+Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cython
 
 Package: cython3
 Architecture: any
@@ -40,6 +40,7 @@
 Architecture: any
 Section: debug
 Depends: ${python3:Depends}, ${misc:Depends}, ${shlibs:Depends}, cython3 (= ${binary:Version})
+Multi-Arch: same
 Description: C-Extensions for Python 3 - debug build
  This package contains Cython libraries built against versions of
  Python configured with --pydebug.
@@ -52,4 +53,3 @@
 Suggests: cython3
 Description: C-Extensions for Python - documentation
  This package contains documentation for Cython.
-
