## cython 0.29.28

=== debian/changelog ===
cython (0.29.28-1ubuntu3) jammy; urgency=medium

  * Fix cython3-dbg installation for Python 3.10

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 17 Mar 2022 19:07:30 +0000

cython (0.29.28-1ubuntu2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:48:27 +0000

cython (0.29.28-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 23 Feb 2022 18:12:26 +0000

cython (0.29.28-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev, help2man and
      python3-numpy.

  [ Graham Inggs ]
  * New upstream release
  * Drop 23c3e1e71c42ac4a3d791267a1f8f7ac3df1c3cc.patch included upstream
  * Mark import3 autopkgtest as superficial (Closes: #971460)

 -- Graham Inggs <ginggs@debian.org>  Wed, 23 Feb 2022 12:31:37 +0000
