=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
-               dpkg-dev (>= 1.16.1~),
-               help2man (>= 1.37.1~),
+               help2man,
                python3-all-dev,
                python3-all-dbg,
-               python3-numpy (>= 1:1.12.1-3.1) [!i386] <!nocheck>,
+               python3-numpy [!i386] <!nocheck>,
                gdb <!nocheck>,
 Build-Depends-Indep: python3-sphinx,
 Standards-Version: 4.5.0
