=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*
 
 	: # remove files installed from cython.install that belong in -dbg
-	find $(CURDIR)/debian/cython3/ -name "*.cpython-3?d*.so" -delete
+	find $(CURDIR)/debian/cython3/ -name "*.cpython-3*d*.so" -delete
 
 	: # share -dbg and normal package doc dirs
 	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
@@ -101,7 +101,7 @@
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	-set -e; for P in $(PY3VERS); do \
+	set -e; for P in $(PY3VERS); do \
 	 echo =============== $$P start ===============; \
 	 if PYTHONPATH=`/bin/ls -d $(CURDIR)/build/lib.*-$$P` \
 	  /usr/bin/python$$P runtests.py $(RUNTESTSOPTS) \
