## cython 0.29.30

=== debian/changelog ===
cython (0.29.30-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 Jun 2022 15:02:41 +0000

cython (0.29.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.30.
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Sun, 12 Jun 2022 10:12:47 -0400

cython (0.29.28-3) unstable; urgency=medium

  * Team upload
  * Fixed another 2-digit minor version bug.
  * Skip tests on sparc64, where they frequently fail. (Closes: #1003181)

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 23:20:26 -0400

cython (0.29.28-2) unstable; urgency=medium

  * Team upload
  * Handle 2-digit Python minor versions.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 17 Mar 2022 14:29:17 -0400
