## cython 0.29.32

=== debian/changelog ===
cython (0.29.32-2) unstable; urgency=medium

  * Team upload.
  * Patch: Avoid triggering an assertion failure on python3.11-dbg when
    calling cyfuncs.

 -- Stefano Rivera <stefanor@debian.org>  Wed, 23 Nov 2022 19:59:12 +0200

cython (0.29.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.29.32.

 -- Boyuan Yang <byang@debian.org>  Wed, 14 Sep 2022 14:31:42 -0400
