=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: cython
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Ondrej Certik <ondrej@certik.cz>, Yaroslav Halchenko <debian@onerussian.com>
 Build-Depends: debhelper (>= 7.0.50~),
                dh-python,
                help2man,
                python3-all-dev,
                python3-all-dbg,
-               python3-numpy [!i386] <!nocheck>,
+               python3-numpy <!nocheck>,
                gdb <!nocheck>,
 Build-Depends-Indep: python3-sphinx,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: http://cython.org/
 Vcs-Git: https://salsa.debian.org/python-team/packages/cython.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/cython
