## cython 0.29.36

=== debian/changelog ===
cython (0.29.36-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Nov 2023 22:46:36 +0100

cython (0.29.36-2) unstable; urgency=medium

  * Team upload.
  * Remove unnecessary non-pybuild parts of the build. (Closes: #904211)
  * Replace cython3-dbg with --automatic-dbgsym.
  * Minor rules cleanup.
  * Use dh-exec to rename commands.
  * Run the upstream test suite in an autopkgtest.
  * Build-Depend on python3-setuptools, upstream uses distutils which will be
    removed from 3.12.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 14:32:11 +0000

cython (0.29.36-1ubuntu2) noble; urgency=medium

  * No-change rebuild to build with python3.12 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 01 Nov 2023 19:01:40 +0100

cython (0.29.36-1ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Jul 2023 13:16:19 +0200

cython (0.29.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Includes Python 3.12 support (Closes: #1004725)
  * Drop patch py3.11-dbg-assertion.patch, supersedde upstream.
  * Clean pybuild's work directory.

 -- Stefano Rivera <stefanor@debian.org>  Fri, 07 Jul 2023 10:05:47 -0400

cython (0.29.32-2ubuntu2) lunar; urgency=medium

  * Rebuild to drop Python 3.10 extension

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Mar 2023 14:46:27 -0500

cython (0.29.32-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 01 Dec 2022 15:18:53 +0000

cython (0.29.32-1ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable (LP: #1995992), remaining changes:
    + Drop python-numpy build-dependencies on i386

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Nov 2022 12:08:12 +0000

cython (0.29.30-1ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 03 Nov 2022 06:27:33 +0000
