## cython 3.0.5

=== debian/changelog ===
cython (3.0.5-0ubuntu1) noble; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 09 Nov 2023 13:57:10 +0100
