=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 # -*- makefile -*-
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
+
+#  Apparently WGET agent is not favored by upstream's MoinMoin
+WGET_AGENT_STRING="Lynx/2.8.8dev.4 libwww-FM/2.14 SSL-MM/1.4.1 GNUTLS/2.8.6"
+WGET=wget -q --user-agent=$(WGET_AGENT_STRING)
+WIKI_URL=http://wiki.cython.org
 
 # Python versions
 PY3DEF=$(shell py3versions -dv)
@@ -19,8 +24,31 @@
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
+override_dh_auto_build:
+	dh_auto_build
+
+	: # Build for Python 3
+	set -e; for v in $(PY3VERS); do \
+	 python$$v setup.py build; \
+	 python$$v-dbg setup.py build; \
+	done
+
+override_dh_auto_install:
+	dh_auto_install
+
+	: # Install for Python 3
+	set -e; for v in $(PY3VERS); do \
+	 python$$v setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+	 python$$v-dbg setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
+	done
+
+	: # Force the creation of cython3 and cygdb3 executables.
+	: # Shebang lines are fixed in override_dh_install.
+	cp debian/tmp/usr/bin/cython debian/tmp/usr/bin/cython3
+	cp debian/tmp/usr/bin/cygdb debian/tmp/usr/bin/cygdb3
+
 override_dh_installman-arch: build/cython.1
-	dh_installman -a
+	dh_installman
 
 build/cython.1:
 	: # Generate a manpage using help2man
@@ -32,17 +60,23 @@
 	grep -q 'ImportError:' build/cython.1 && exit 1 || :
 
 override_dh_install-indep:
-	dh_install -i
+	dh_install
 
 override_dh_install-arch:
-	dh_install -a
+	dh_install
 
 	: # fix shebang
 	sed -i -e '1 s,#!.*python.*,#!/usr/bin/python3,' debian/cython3/usr/bin/*
 
+	: # remove files installed from cython.install that belong in -dbg
+	find $(CURDIR)/debian/cython3/ -name "*.cpython-3*d*.so" -delete
+
+	: # share -dbg and normal package doc dirs
+	rm -rf debian/cython3-dbg/usr/share/doc/cython3-dbg
+	dh_link -pcython3-dbg usr/share/doc/cython3 usr/share/doc/cython3-dbg
 	# add debian version to watermark of generated files
 	sed -i -e "s/ on / (Debian $(DEB_VERSION)) on /" \
-	  debian/cython3/usr/lib/python3*/dist-packages/Cython/Compiler/Version.py
+	  debian/cython3/usr/lib/python3/dist-packages/Cython/Compiler/Version.py
 
 
 override_dh_installdocs:
@@ -58,7 +92,7 @@
 	-rm docs/build/html/_static/jquery.js docs/build/html/_static/underscore.js
 endif
 endif
-	dh_installdocs --package=cython3 --link-doc=cython3 debian/upstream
+	dh_installdocs --package=cython3 --package=cython3-dbg --link-doc=cython3 debian/upstream
 	dh_installdocs --package=cython-doc debian/upstream
 
 
@@ -83,8 +117,12 @@
 	done
 endif
 
+override_dh_python3:
+	dh_python3 -pcython3
+
+
 override_dh_strip:
-	dh_strip --dbgsym-migration='cython3-dbg (<< 0.29.36-1~)'
+	dh_strip -pcython3 --dbg-package=cython3-dbg
 
 override_dh_auto_clean:
 	make clean
