## cython 3.0.7

=== debian/changelog ===
cython (3.0.7-0ubuntu1) noble; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 10:40:39 +0100

cython (3.0.6-2ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 10:33:27 +0100

cython (3.0.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Restore the old cython binary (and keep cython3 as a symbolic link).
    (Closes: #686045)

 -- Stefano Rivera <stefanor@debian.org>  Mon, 25 Dec 2023 10:57:23 -0400

cython (3.0.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Stefano Rivera <stefanor@debian.org>  Sat, 02 Dec 2023 14:19:49 -0400

cython (3.0.5-2) experimental; urgency=medium

  * Team upload.
  * cython3: Breaks + Replaces cython3-dbg. (Closes: #1056627)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Nov 2023 13:48:37 +0000

cython (3.0.5-1) experimental; urgency=medium

  * Upload to experimental.
  * New upstream release. (Closes: #1028157, #1055681)
  * Refresh patches.
  * Drop patch deb_disable_googleanalytics, superseded upstream.
  * Build-Depends-Indep: python3-sphinx-issues, python3-sphinx-tabs.
  * Copy more bits into the testsuite autopkgtest.

 -- Stefano Rivera <stefanor@debian.org>  Thu, 23 Nov 2023 18:01:46 +0000

cython (0.29.36-4ubuntu1) noble; urgency=medium

  * Merge with Debian; remaining changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Tue, 26 Dec 2023 10:07:28 +0100

cython (0.29.36-4) unstable; urgency=medium

  * Team upload.
  * Use zombie-imp to prevent pyximport from crashing under Python 3.12.
    Note that pyximport seems not to work with Python 3.12 even with this
    patch.
  * Skip (autopkg)tests which fail with Python 3.12.
  * Call python as python3 in Makefiles

 -- Julian Gilbey <jdg@debian.org>  Fri, 15 Dec 2023 10:43:00 +0000

cython (0.29.36-3.1ubuntu2) noble; urgency=medium

  * Merge with Debian; remainig changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Dec 2023 08:17:01 +0100

cython (0.29.36-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid using the thread state attribute "use_tracing" in Python 3.12.
    Patch taken from upstream. "however, that doesn't mean that
    profiling/tracing now works in Py3.12".

 -- Matthias Klose <doko@debian.org>  Sun, 10 Dec 2023 00:06:47 +0100

cython (0.29.36-3ubuntu1) noble; urgency=medium

  * Merge with Debian; remainig changes:
    - Drop python-numpy build-dependencies on i386

 -- Matthias Klose <doko@ubuntu.com>  Sun, 26 Nov 2023 13:31:59 +0100

cython (0.29.36-3) unstable; urgency=medium

  * Team upload.
  * cython3: Breaks + Replaces cython3-dbg. (Closes: #1056627)

 -- Stefano Rivera <stefanor@debian.org>  Fri, 24 Nov 2023 13:44:02 +0000
